Subject: [Webpush] Message update PR

From: Martin Thomson <[email-masked]>
Date: Thu, 12 Nov 2015 12:59:36 -0800

https://github.com/webpush-wg/webpush-protocol/pull/62

The above pull request and commit is the substance of what we
discussed in Yokohama regarding push message updates.  This proposes a
new header field, Topic, which can be added to a push message.

This doesn't really replace messages in the same way that the last one
does.  Instead, it causes the old message to be acknowledged/deleted
at the same time that the new message is created.  This avoids all the
nasty race conditions we discussed at the meeting.  If the old message
is being delivered, then this causes it to be acknowledged early;
since acknowledgment is idempotent, there are no race conditions.

--Martin